package cn.hnthyy.thmz.service.impl.his.mz;

import cn.hnthyy.thmz.entity.his.mz.MzfzPatientOrder;
import cn.hnthyy.thmz.mapper.his.mz.MzfzPatientOrderMapper;
import cn.hnthyy.thmz.service.his.mz.MzfzPatientOrderService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
@Service
public class MzfzPatientOrderServiceImpl implements MzfzPatientOrderService {
    @SuppressWarnings("all")
    @Autowired
    private MzfzPatientOrderMapper mzfzPatientOrderMapper;

    @Override
    public Integer querycountUnClinic(MzfzPatientOrder mzfzPatientOrder) {
        return mzfzPatientOrderMapper.countUnClinic(mzfzPatientOrder);
    }

    @Override
    public List<MzfzPatientOrder> queryUnClinicWithPage(MzfzPatientOrder mzfzPatientOrder) {
        return mzfzPatientOrderMapper.selectUnClinicWithPage(mzfzPatientOrder);
    }

    @Override
    public Integer queryCountMzfzPatientOrder(MzfzPatientOrder mzfzPatientOrder) {
        return mzfzPatientOrderMapper.countMzfzPatientOrder(mzfzPatientOrder);
    }

    @Override
    public List<MzfzPatientOrder> queryMzfzPatientOrderWithPage(MzfzPatientOrder mzfzPatientOrder) {
        return mzfzPatientOrderMapper.selectMzfzPatientOrderWithPage(mzfzPatientOrder);
    }

    @Override
    public MzfzPatientOrder queryBySerialNo(String serialNo) {
        return mzfzPatientOrderMapper.selectBySerialNo(serialNo);
    }
}
